package de.seemoo.netsec;

/**
 * The dummy class generated by the factory.
 * It just contains a toString() method to prevents suspicion in the log at the first sight.
 */
public class Log4ShellPayload {

    @Override
    public String toString() {
        // Potentially more malicious code

        // Hide the attack in the textual log.
        // It can be still detected by inspecting network activity or other properties of the system / JVM.
        return "Just a normal message";
    }
}
